=== debian/changelog ===
xplico (1.2.2-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:43:04 +0200

xplico (1.2.2-0kali6) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on line 2.
  * Fix field name case in debian/tests/control (Test-command ⇒ Test-Command).
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * d/watch: Update to use sourceforge not debian redirector.
  * Don't build on unsupported architectures.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Sun, 09 Apr 2023 23:41:49 -0500

xplico (1.2.2-0kali5) kali-dev; urgency=medium

  * Update Cake for PHP 8

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 09 Sep 2022 23:23:22 +0700

xplico (1.2.2-0kali4) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.

  [ Ben Wilson ]
  * Add XSBC-Original-Maintainer
  * Update email address
  * Fix email address
  * Add Uploaders
  * Update email address

  [ Arnaud Rebillout ]
  * Add XS-Debian-Vcs-* fields

  [ Sophie Brun ]
  * Refresh patches
  * Update code for new ndpi 4.x
  * Add superficial autopkgtest
  * Use version 4 in debian/watch
  * Bump Standards-Version to 4.6.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 20 Apr 2022 12:00:06 +0200

xplico (1.2.2-0kali3) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.
  * Fix day-of-week for changelog entries 0.7.1, 0.5.3.

  [ Ben Wilson ]
  * Fix email address

  [ Arnaud Rebillout ]
  * Add patch to build against libndpi 3.x
  * Update Standards-Version, bump dh compat

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 10 Feb 2021 18:30:24 +0700

xplico (1.2.2-0kali2) kali-dev; urgency=medium

  * Add a patch to have an explicit message about the existing script to
    download the .mmdb

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Aug 2019 17:13:44 +0200

xplico (1.2.2-0kali1) kali-dev; urgency=medium

  * New upstream release.
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Fix build with json-c 0.13
  * Fix typo in README.Debian
  * Improve xplico.service
  * Ignore lintian error dir-or-file-in-opt
  * Ignore missing sources lintian error
  * Ignore lintian's possible-gpl-code-linked-with-openssl as well
  * Switch to debhelper compat level 12
  * Clean up rules file
  * Disable parallel building
  * Fix upstream makefile to not fudge with the debian dir

 -- Raphaël Hertzog <raphael@offensive-security.com>  Mon, 19 Aug 2019 09:18:41 +0200

xplico (1.2.1+git20181226-0kali1) kali-dev; urgency=medium

  * Remove old useless patch
  * New upstream version 1.2.1+git20181226
  * Add a patch to find ndpi lib in debian
  * Update README.Debian

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Feb 2019 10:34:25 +0100

xplico (1.2.1-0kali3) kali-dev; urgency=medium

  * Add xplico-webui & xplico-webui-stop

 -- Ben Wilson <g0tmi1k@kali.org>  Fri, 02 Mar 2018 15:51:14 +0000

xplico (1.2.1-0kali2) kali-dev; urgency=medium

  * Fix issue 4560:
    - Add missing directories in /opt/xplico/xi/app/tmp/cache/
    - Import a patch for Cake to be compatible with php7
  * Add a patch to search correctly php.ini

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Feb 2018 10:42:58 +0100

xplico (1.2.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Install the script for GeoLite databases
  * Add a patch to improve config file

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Nov 2017 10:39:09 +0100

xplico (1.2.1) stable; urgency=low
  * Bugfix: WUI: added check in the registration page; added the file name check on the pcap upload page
 -- Gianluca Costa <g.costa@xplico.org>  Sun, 12 Nov 2017 09:10:00 +0200

xplico (1.2.0-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 16 Jan 2017 15:31:25 +0100

xplico (1.2.0) stable; urgency=low
  * Migration from PHP5 to PHP7
  * CakePHP 2.8
  * IMAP bug fix
  * Bugfix: reported on Security Onion
 -- Gianluca Costa <g.costa@xplico.org>  Sun, 15 Jan 2017 11:10:00 +0200

xplico (1.1.2-0kali4) kali-dev; urgency=medium

  * Add missing build-dep: zlib1g-dev

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Jan 2017 14:08:41 +0100

xplico (1.1.2-0kali3) kali-dev; urgency=medium

  * Fix postinst script to work with any PHP version.

 -- Raphaël Hertzog <buxy@kali.org>  Wed, 13 Jul 2016 21:10:39 +0200

xplico (1.1.2-0kali2) kali-dev; urgency=medium

  * Update dependencies:
    - replace python3.4 with generic python3
    - replace php5-* with php-* equivalents

 -- Raphaël Hertzog <buxy@kali.org>  Tue, 12 Jul 2016 18:30:17 +0200

xplico (1.1.2-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Refresh 0001-Use-pkgconfig-to-retrieve-the-correct-parameters-to-.patch
  * Add libpq-dev as build-depends
  * Add a patch to have hardened build LDFLAGS
  * Update debian/init.d and debian/docs

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 21 Jan 2016 10:56:00 +0100

xplico (1.1.2) stable; urgency=low
  * IPv4 defragmentation
  * CapAnalysis dissectors and dispatcher
 -- Gianluca Costa <g.costa@xplico.org>  Sun, 10 Jan 2016 12:00:00 +0200

xplico (1.1.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Drop patches: 0002-Fixes-to-compile-with-libndpi-1.5.patch (useless patch)
    and 0003-Fixes-to-compile-in-kali-dev.patch (applied upstream)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Nov 2015 11:24:21 +0100


