=== debian/control ===
Source: xplico
Section: net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
XSBC-Original-Maintainer: Gianluca Costa <g.costa@xplico.org>
Build-Depends:
 autoconf,
# automake,
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 libjson-c-dev,
 libmaxminddb-dev,
 libndpi-dev,
 libpcap-dev,
 libpq-dev,
 libsqlite3-dev,
 libssl-dev,
 libtool,
 pkg-config,
 python3-dev,
 sqlite3,
 zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://www.xplico.org
XS-Debian-Vcs-Git: n/a
XS-Debian-Vcs-Browser: n/a

Package: xplico
Architecture: amd64 i386
Pre-Depends: ${misc:Pre-Depends}
Depends:
 apache2,
 binfmt-support,
 lame,
 libapache2-mod-php,
 openssl,
 php-cli,
 php-json,
 php-sqlite3,
 python3,
 python3-httplib2,
 python3-psycopg2,
 recode,
 sox,
 sqlite3,
 tshark,
 ${shlibs:Depends},
 ${misc:Depends},
 php-common,
Description: Network Forensic Analysis Tool (NFAT)
 The goal of Xplico is extract from an internet traffic
 capture the applications data contained. For example,
 from a pcap file Xplico extracts each email (POP, IMAP,
 and SMTP protocols), all HTTP contents, each VoIP call (SIP, MGCP, H323),
 FTP, TFTP, and so on. Xplico is not a network protocol analyzer.
