=== debian/watch ===
version=4
opts=searchmode=plain \
https://sourceforge.net/projects/xplico/rss?limit=10000000000000000000 \
https?://.*/xplico-(\d.*)\.tar\.gz
