## xplico 1.2.2+git20200828.1.155e9d0

=== debian/changelog ===
xplico (1.2.2+git20200828.1.155e9d0-0kali1~jan+nus2) kali-bleeding-edge; urgency=low

  [ Kali Janitor ]
  * New upstream snapshot.
  * Drop patch change-path-to-ndpi.patch, present upstream.
  * Drop patch update-for-ndpi-3.x.patch, present upstream.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Wed, 14 Dec 2022 03:29:12 -0000
