=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: xplico
 Section: net
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Mati Aharoni <muts@kali.org>,
+           Ben Wilson <g0tmi1k@kali.org>,
+           Sophie Brun <sophie@offensive-security.com>,
+           Arnaud Rebillout <arnaudr@kali.org>,
 XSBC-Original-Maintainer: Gianluca Costa <g.costa@xplico.org>
 Build-Depends:
  autoconf,
@@ -21,10 +24,12 @@
  python3-dev,
  sqlite3,
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://www.xplico.org
 XS-Debian-Vcs-Git: n/a
 XS-Debian-Vcs-Browser: n/a
+Vcs-Git: https://gitlab.com/kalilinux/packages/xplico.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/xplico
 
 Package: xplico
 Architecture: amd64 i386
