=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_install:
	dh_auto_install
	rm debian/xplico/opt/xplico/bin/*.pyc debian/xplico/opt/xplico/script/*.pyc
	rm debian/xplico/opt/xplico/COPYING.* debian/xplico/opt/xplico/LICENSE
	cp geolite_update.sh debian/xplico/opt/xplico
	mkdir -p debian/xplico/opt/xplico/xi/app/tmp/cache/models
	mkdir -p debian/xplico/opt/xplico/xi/app/tmp/cache/persistent
	install -D -m 755 debian/scripts/xplico-webui debian/xplico/usr/bin/xplico-webui
	install -D -m 755 debian/scripts/xplico-webui-stop debian/xplico/usr/bin/xplico-webui-stop
