=== debian/tests/control ===
Restrictions: needs-root, superficial
Test-Command: xplico -h
