=== debian/watch ===
version=4
http://sf.net/xplico/xplico-(?:v\.)?(\d.*)\.(?:tgz|tar\.gz)
